import { ActivePanelData, PanelType } from '../../domain/active/active-types';
import { Doc } from '../view/Doc';
import { ContextMenuParams } from '../../runtime/canvas/__common__/context-menu/index.type';
export declare class InteractionController {
    doc: Doc;
    constructor(doc: Doc);
    onSelectTableRow(payload: {
        id: string;
        index: number;
    }): void;
    onSelectTableCol(payload: {
        id: string;
        index: number;
    }): void;
    onSelectTableAll(payload: {
        id: string;
    }): void;
    clearTableSelection(): void;
    onChangeDragHoverId(hitId: string): void;
    resolveIntent(id: string | undefined): void;
    onActivePanelData(payload: {
        type: PanelType;
        modelId?: string;
        extra?: ActivePanelData['context'];
    }): void;
    /** 进行重置面板 */
    onActivePanelDataReset(): void;
    onChangeHoverModelId(id: string): void;
    onFocusWidget(payload: {
        modelId: string;
        focusTick: number;
    }): void;
    onContextMenu(payload: ContextMenuParams & {
        contextMenuRef: any;
    }): void;
    destroy(): void;
}
